Package fr.gouv.vitam.logbook.rest

# Class LogbookRawResource

java.lang.Object
fr.gouv.vitam.logbook.rest.LogbookRawResource

@Path("/logbook/v1") public class LogbookRawResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookRawResource(VitamRepositoryProvider vitamRepositoryProvider, ElasticsearchLogbookIndexManager indexManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `createLifeCycleObjectGroupBulkRaw(List<com.fasterxml.jackson.databind.JsonNode> logbookLifecycles)`
  Lifecycle object group Bulk Create raw JsonNode objects
  `jakarta.ws.rs.core.Response`
  `createLifeCycleUnitBulkRaw(List<com.fasterxml.jackson.databind.JsonNode> logbookLifecycles)`
  Lifecycle Unit Bulk Create raw JsonNode objects

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookRawResource

    public LogbookRawResource(VitamRepositoryProvider vitamRepositoryProvider, ElasticsearchLogbookIndexManager indexManager)

- ## Method Details

  - ### createLifeCycleUnitBulkRaw

    @POST @Path("raw/unitlifecycles/bulk") @Consumes("application/json") public jakarta.ws.rs.core.Response createLifeCycleUnitBulkRaw(List<com.fasterxml.jackson.databind.JsonNode> logbookLifecycles)
    Lifecycle Unit Bulk Create raw JsonNode objects
    Parameters:
      `logbookLifecycles` - Lifecycle Unit Logbooks as list of jsonNodes
    Returns:
      Response of CREATED

  - ### createLifeCycleObjectGroupBulkRaw

    @POST @Path("raw/objectgrouplifecycles/bulk") @Consumes("application/json") public jakarta.ws.rs.core.Response createLifeCycleObjectGroupBulkRaw(List<com.fasterxml.jackson.databind.JsonNode> logbookLifecycles)
    Lifecycle object group Bulk Create raw JsonNode objects
    Parameters:
      `logbookLifecycles` - Lifecycle objectGroup Logbooks as list of jsonNodes
    Returns:
      Response of CREATED